org.jboss.resteasy.plugins.providers.jaxb

## Class AnnotationFactory

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.AnnotationFactory

-     public class AnnotationFactory
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Wrapped` | `create(String elementName, String namespace, String prefix)`
    `static WrappedMap` | `create(String map, String entry, String key, String namespace, String prefix)`
    `static Annotation[]` | `createArray(String elementName, String namespace, String prefix)`
    `static Annotation[]` | `createArray(String map, String entry, String key, String namespace, String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationFactory

          public AnnotationFactory()

  - ### Method Detail

    - #### createArray

          public static Annotation[] createArray(String elementName,
                                 String namespace,
                                 String prefix)

    - #### create

          public static Wrapped create(String elementName,
                       String namespace,
                       String prefix)

    - #### createArray

          public static Annotation[] createArray(String map,
                                 String entry,
                                 String key,
                                 String namespace,
                                 String prefix)

    - #### create

          public static WrappedMap create(String map,
                          String entry,
                          String key,
                          String namespace,
                          String prefix)

Copyright © 2014. All Rights Reserved.